Summary:	a fast PostgreSQL log analyzer
Name:		pgbadger
Version:	9.0
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	https://github.com/dalibo/pgbadger/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1c4a400afc48ba0ded9966ebe1592d49
URL:		http://dalibo.github.com/pgbadger/
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	perl-ExtUtils-MakeMaker
Requires:	perl-base >= 1:5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
pgBadger is a PostgreSQL log analyzer build for speed with fully
detailed reports from your PostgreSQL log file. It's a single and
small Perl script that aims to replace and outperform the old php
script pgFouine.

pgBadger is written in pure Perl language. It uses a javascript
library to draw graphs so that you don't need additional Perl modules
or any other package to install. Furthermore, this library gives us
more features such as zooming.

pgBadger is able to autodetect your log file format (syslog, stderr or
csvlog). It is designed to parse huge log files as well as gzip
compressed file.

%prep
%setup -q

%build
%{__perl} Makefile.PL \
		INSTALLDIRS=vendor

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Oct 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pgbadger.git;a=log;h=master

* Sat Oct 08 2016 Andrzej Zawadzki <azawadzki@dfqs.pl> b6255c3
- up to 9.0

* Tue May 17 2016 Andrzej Zawadzki <azawadzki@dfqs.pl> 0332f12
- up to 8.1

* Fri Apr 15 2016 Andrzej Zawadzki <zawadaa@pld-linux.org> 70242e8
- up to 8.0

* Sun Jul 19 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> b41c312
- up to 7.1

* Thu May 21 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> faea93b
- up to 7.0

* Sun Nov 09 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 0a79d12
- up to 6.2

* Mon Aug 18 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> b43edb4
- up to 6.0

* Wed May 14 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 425f115
- up to 5.1

* Wed Feb 26 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> f355308
- up to 5.0

* Mon Nov 25 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 0d33500
- up to 4.1

* Fri Nov 08 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 76d6223
- up to 4.0

* Mon Oct 07 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 80c6cf3
- up to 3.6

* Tue Jul 30 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> e884bd6
- up to 3.5

* Mon Jun 24 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 9a3ef42
- up to 3.4

* Wed May 15 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 0f5a41d
- up to 3.3

* Thu Apr 25 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> ff9e25d
- up 3.2

* Mon Feb 25 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 1b93e51
- up to 3.1, works

* Fri Jan 18 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> a90af79
- up to 2.3

* Thu Nov 15 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> 98e03d8
- initial

